Bug 1956947 - Search including the pm_score field using the REST API
Summary: Search including the pm_score field using the REST API
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Bugzilla
Classification: Community
Component: Query/Bug List
Version: 5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jeff Fearn 🐞
QA Contact: Utkarsh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-04 17:56 UTC by Tristan Cacqueray
Modified: 2021-05-06 11:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-06 11:29:05 UTC


Attachments (Terms of Use)

Description Tristan Cacqueray 2021-05-04 17:56:36 UTC
Description of problem:

The REST API search endpoint does not seems to return the pm_score field.
It seems like only the per bug history endpoint provides the pm_score value.

Is it be possible to include the last pm_score set in the bugs returned by a search using include_field?


Additional info:

Using the `include_fields=_all` does not seem to work either.

Comment 1 Jeff Fearn 🐞 2021-05-04 23:23:50 UTC
This is likely to be an authentication issue, the cf_pm_score field is private, are you getting any other private fields in your results?

Comment 2 Tristan Cacqueray 2021-05-05 00:15:12 UTC
I've been told this field is only available through the bug history. My apikey is working, but it may be a permission issue.
Do you know what parameters should work to include that field in the search result?

Comment 4 Tristan Cacqueray 2021-05-06 11:29:05 UTC
Thank you for the details Jeff. For the record, after requesting devel group membership, I can now see the value using the include_fields parameter of the REST bug api.


Note You need to log in before you can comment on or make changes to this bug.